
def update_document_with_query(model, query, update):
    """
    Updates documents in a MongoDB collection based on a query.
    
    :param model: The PyMongoEngine model representing the collection.
    :param query: A dictionary representing the query to match documents.
    :param update: A dictionary representing the update operations to apply.
    """
    result = model.objects(__raw__=query).update(__raw__=update)
    return result



